Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(20)

Unified Diff: sp/trybots

Issue 1129173006: Enable slimming paint by default (for trybots only) (Closed) Base URL: svn://svn.chromium.org/blink/trunk
Patch Set: Fri Jun 19 16:39:28 PDT 2015 Created 5 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « sp/statbugs ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: sp/trybots
diff --git a/sp/trybots b/sp/trybots
new file mode 100755
index 0000000000000000000000000000000000000000..fa2e101ab091fbf94a5ed2e85f1a55113d5678c1
--- /dev/null
+++ b/sp/trybots
@@ -0,0 +1,55 @@
+#!/bin/sh
+cd `dirname $0`/..
+set -e
+git checkout EnableSP
+git pull --rebase
+sp/gen-expectations
+git commit -a --amend -m ""
+
+if git branch -D EnableSPCull-temp EnableSPUnderInvalidation-temp >/dev/null 2>&1; then
+true # Ignore any error
+fi
+
+TRY="git cl try -b linux_blink_rel -b mac_blink_rel -b win_blink_rel"
+
+git checkout -tb EnableSPCull-temp origin/master
+git cherry-pick EnableSP
+git cherry-pick EnableSPCull
+git branch -D EnableSPCull
+git branch -m EnableSPCull
+git cl issue 1135703003
+sp/gen-expectations
+git commit -a --amend -m ""
+
+git checkout -tb EnableSPCullExp-temp origin/master
+git cherry-pick EnableSP
+git cherry-pick EnableSPCull
+git cherry-pick EnableSPCullExp
+git branch -D EnableSPCullExp
+git branch -m EnableSPCullExp
+git cl issue 1194683002
+sp/gen-expectations
+git commit -a --amend -m ""
+
+git checkout -tb EnableSPUnderInvalidation-temp origin/master
+git cherry-pick EnableSP
+git cherry-pick EnableSPUnderInvalidation
+git branch -D EnableSPUnderInvalidation
+git branch -m EnableSPUnderInvalidation
+git cl issue 1132203003
+
+git checkout EnableSP
+date | git cl upload
+$TRY
+
+git checkout EnableSPCull
+date | git cl upload
+$TRY
+
+git checkout EnableSPCullExp
+date | git cl upload
+$TRY
+
+git checkout EnableSPUnderInvalidation
+date | git cl upload
+$TRY -b linux_blink_dbg -b mac_blink_dbg -b win_blink_dbg
« no previous file with comments | « sp/statbugs ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698